Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.net
Class AbstractAddress

    java.lang.Object
      |
      +--org.openorb.net.AbstractAddress

All Implemented Interfaces:
  Address, java.lang.Cloneable

Direct Known Subclasses:
  IIOPAddress

public abstract class AbstractAddress
extends java.lang.Object
implements Address, java.lang.Cloneable

Base class which implements much of the Address functionality.

Version:
  $Revision: 1.12 $ $Date: 2002/07/14 19:12:36 $
Author:
  Chris Wood

Fields inherited from interface org.openorb.net.Address
`MASK_ADDRESS_PRIORITY`

Constructor Summary
`AbstractAddress()`

Method Summary
`Transport` | `createTransport()` Use the transport constructor to construct a new transport.
`boolean` | `equals(java.lang.Object obj)`
`java.lang.Object` | `get_component_data(int idx)` Returns the data associated with a particular component, or null if the component at that index has no associated data.
`TaggedComponent` | `get_component(int idx)` Get the component at the specified index in the get_components array.
`TaggedComponent[]` | `get_components()` Returns all components associated with this address.
`TaggedComponent[]` | `get_components(int tag)` Returns any components with the specified tag.
`int` | `get_profile_components()` Returns the number of components associated only with the profile which created this address.
`Policy[]` | `get_target_policies(int[] ts)` Returns a PolicyList containing the requested PolicyTypes set for the address.
`java.lang.String` | `getObjectKeyDescription()` Human readable string describing the object key.
`java.lang.String` | `getObjectKeyString()` A string which contains an RFC2396 encoding of the object key, as could be included in a corbaloc style address.
`short` | `getPriority()` Get the addresses priority.
`short` | `getPriority(short mask)` Get the addresses priority.
`TargetAddress` | `getTargetAddress(short adressingDisposition)` Get target address with specified addressing disposition.
`int` | `hashCode()`
`void` | `set_component_data(int idx, java.lang.Object obj)` Set the data associated with a particular component, or null if the component at that index has no associated data.
`void` | `setPriority(short priority)` Set the address priority.
`short` | `setPriority(short priority, short mask)` Set the address priority.
`void` | `setTransportConstructor(java.lang.reflect.Constructor ctor, java.lang.Object[] args)` Set the transport constructor for the address.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.openorb.net.Address
`getEndpointDescription, getEndpointString, getProtocol`

Constructor Detail

### AbstractAddress

    public AbstractAddress()

Method Detail

### getTargetAddress

    public TargetAddress getTargetAddress(short adressingDisposition)

  Get target address with specified addressing disposition.
  Specified by:
    `getTargetAddress` in interface `Address`

### get_target_policies

    public Policy[] get_target_policies(int[] ts)

  Returns a PolicyList containing the requested PolicyTypes set for the address. If the specified sequence is empty, all Policys set for the address will be returned. If none of the requested PolicyTypes are overridden at the target, an empty sequence is returned.
  Specified by:
    `get_target_policies` in interface `Address`

### get_components

    public TaggedComponent[] get_components()

  Returns all components associated with this address.
  Specified by:
    `get_components` in interface `Address`

### get_profile_components

    public int get_profile_components()

  Returns the number of components associated only with the profile which created this address. Components past this index in the array returned from get_components are sourced from a multi-component profile.
  Specified by:
    `get_profile_components` in interface `Address`

### get_components

    public TaggedComponent[] get_components(int tag)

  Returns any components with the specified tag.
  Specified by:
    `get_components` in interface `Address`

### get_component

    public TaggedComponent get_component(int idx)

  Get the component at the specified index in the get_components array.
  Specified by:
    `get_component` in interface `Address`
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index is out of bounds.

### get_component_data

    public java.lang.Object get_component_data(int idx)

  Returns the data associated with a particular component, or null if the component at that index has no associated data.
  Specified by:
    `get_component_data` in interface `Address`
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index is out of bounds.

### set_component_data

    public void set_component_data(int idx,
                                   java.lang.Object obj)

  Set the data associated with a particular component, or null if the component at that index has no associated data.
  Specified by:
    `set_component_data` in interface `Address`
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index is out of bounds.

### setTransportConstructor

    public void setTransportConstructor(java.lang.reflect.Constructor ctor,
                                        java.lang.Object[] args)

  Set the transport constructor for the address.
  Specified by:
    `setTransportConstructor` in interface `Address`

### createTransport

    public Transport createTransport()

  Use the transport constructor to construct a new transport.
  Specified by:
    `createTransport` in interface `Address`

### getPriority

    public short getPriority()

  Get the addresses priority. This will be the low order word of the binding priority.
  Specified by:
    `getPriority` in interface `Address`

### getPriority

    public short getPriority(short mask)

  Get the addresses priority. This will be the low order word of the binding priority.
  Specified by:
    `getPriority` in interface `Address`
  Parameters:
    `mask` - mask of bits to get

### setPriority

    public void setPriority(short priority)

  Set the address priority. This will be the low order word of the binding priority.
  Specified by:
    `setPriority` in interface `Address`

### setPriority

    public short setPriority(short priority,
                             short mask)

  Set the address priority. This will be the low order word of the binding priority.
  Specified by:
    `setPriority` in interface `Address`

### getObjectKeyString

    public java.lang.String getObjectKeyString()

  A string which contains an RFC2396 encoding of the object key, as could be included in a corbaloc style address.
  Specified by:
    `getObjectKeyString` in interface `Address`

### getObjectKeyDescription

    public java.lang.String getObjectKeyDescription()

  Human readable string describing the object key.
  Specified by:
    `getObjectKeyDescription` in interface `Address`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD